Bug 1291954 - [abrt] pulseaudio: pa_sink_input_set_requested_latency_within_thread(): pulseaudio killed by SIGSEGV
[abrt] pulseaudio: pa_sink_input_set_requested_latency_within_thread(): pulse...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:01ac4d4ed36c4be134666e0f7fb...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-15 21:26 EST by Raman Gupta
Modified: 2016-11-24 10:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-24 10:10:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (32.82 KB, text/plain)
2015-12-15 21:26 EST, Raman Gupta
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-15 21:26 EST, Raman Gupta
no flags Details
File: core_backtrace (17.21 KB, text/plain)
2015-12-15 21:26 EST, Raman Gupta
no flags Details
File: dso_list (8.92 KB, text/plain)
2015-12-15 21:26 EST, Raman Gupta
no flags Details
File: environ (2.54 KB, text/plain)
2015-12-15 21:26 EST, Raman Gupta
no flags Details
File: exploitable (82 bytes, text/plain)
2015-12-15 21:26 EST, Raman Gupta
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-15 21:26 EST, Raman Gupta
no flags Details
File: maps (41.20 KB, text/plain)
2015-12-15 21:26 EST, Raman Gupta
no flags Details
File: mountinfo (4.37 KB, text/plain)
2015-12-15 21:26 EST, Raman Gupta
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-15 21:26 EST, Raman Gupta
no flags Details
File: open_fds (5.80 KB, text/plain)
2015-12-15 21:26 EST, Raman Gupta
no flags Details
File: proc_pid_status (1.03 KB, text/plain)
2015-12-15 21:26 EST, Raman Gupta
no flags Details
File: var_log_messages (1.76 KB, text/plain)
2015-12-15 21:26 EST, Raman Gupta
no flags Details

  None (edit)
Description Raman Gupta 2015-12-15 21:26:32 EST
Description of problem:
Executed a change of the card profile via:

pactl set-card-profile alsa_card.pci-0000_00_1b.0 output:analog-surround-40+input:analog-stereo
Connection failure: Connection terminated

Version-Release number of selected component:
pulseaudio-7.1-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/pulseaudio --start --log-target=syslog
crash_function: pa_sink_input_set_requested_latency_within_thread
executable:     /usr/bin/pulseaudio
global_pid:     30944
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 pa_sink_input_set_requested_latency_within_thread at pulsecore/sink-input.c:1172
 #1 pa_sink_invalidate_requested_latency at pulsecore/sink.c:3089
 #2 pa_sink_process_msg at pulsecore/sink.c:2621
 #3 asyncmsgq_read_work at pulsecore/rtpoll.c:566
 #4 pa_rtpoll_run at pulsecore/rtpoll.c:236
 #5 thread_func at modules/alsa/alsa-sink.c:1798
 #6 internal_thread_func at pulsecore/thread-posix.c:81
Comment 1 Raman Gupta 2015-12-15 21:26:36 EST
Created attachment 1106255 [details]
File: backtrace
Comment 2 Raman Gupta 2015-12-15 21:26:37 EST
Created attachment 1106256 [details]
File: cgroup
Comment 3 Raman Gupta 2015-12-15 21:26:38 EST
Created attachment 1106257 [details]
File: core_backtrace
Comment 4 Raman Gupta 2015-12-15 21:26:39 EST
Created attachment 1106258 [details]
File: dso_list
Comment 5 Raman Gupta 2015-12-15 21:26:40 EST
Created attachment 1106259 [details]
File: environ
Comment 6 Raman Gupta 2015-12-15 21:26:41 EST
Created attachment 1106260 [details]
File: exploitable
Comment 7 Raman Gupta 2015-12-15 21:26:42 EST
Created attachment 1106261 [details]
File: limits
Comment 8 Raman Gupta 2015-12-15 21:26:43 EST
Created attachment 1106262 [details]
File: maps
Comment 9 Raman Gupta 2015-12-15 21:26:45 EST
Created attachment 1106263 [details]
File: mountinfo
Comment 10 Raman Gupta 2015-12-15 21:26:46 EST
Created attachment 1106264 [details]
File: namespaces
Comment 11 Raman Gupta 2015-12-15 21:26:47 EST
Created attachment 1106265 [details]
File: open_fds
Comment 12 Raman Gupta 2015-12-15 21:26:48 EST
Created attachment 1106266 [details]
File: proc_pid_status
Comment 13 Raman Gupta 2015-12-15 21:26:49 EST
Created attachment 1106267 [details]
File: var_log_messages
Comment 14 Raman Gupta 2015-12-18 17:03:36 EST
Reported to upstream: https://bugs.freedesktop.org/show_bug.cgi?id=93443
Comment 15 Fedora End Of Life 2016-11-24 09:16:05 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.